#pragma once

enum AusloeserEreignisTyp
{
    AUSLOESER_WURDE_AUSGEFUEHRT,
    BARIERE_WIRD_GESCHALTET,
    BARIERE_WIRD_VERSCHOBEN,
    BASE_BESITZERWECHSEL,
    GEGENSTAND_DROP,
    INITIALISIERUNG,
    SCHALTER_AKTIVIERT,
    SPIEL_SCHLEIFE,
    SPIEL_ZEITPUNKT,
    SPIELER_DRUEKCKT_TASTE,

};

struct AusloeserEreignis
{
    AusloeserEreignisTyp typ;
    void *p1;
    void *p2;
};

class Ausloeser
{
private:
    int Ereignisanzahl = 0;
    int Bedingunganzahl = 0;
    int Aktionanzahl = 0;
    Ereignis[] e = new Ereignis[ 1 ];
    Bedingung[] b = new Bedingung[ 1 ];
    Aktion[] a = new Aktion[ 1 ];
    boolean aktiv = true;
    int runs = 0;
    String name = "";
};